%define objprelink 1

Name: gv4l
Version: 2.0.9
Release: alt2
Summary: Gv4l is a gui frontend for the v4l functions of transcode
License: GPL
Group: Video
URL: http://warder.ath.cx/projects
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Serial: 2

Source0: %name-%version.tar.gz

# Automatically added by buildreq on Sat Nov 16 2002
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libORBit2 libXft libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg liblinc-devel libpango-devel libpopt-devel libssl libxml2-devel pkgconfig zlib-devel

%description
Gv4l is a gui frontend for the v4l functions of transcode
(http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode/).
Currently you can record/watch from your v4l tuner. Webcams will
be supported after there are some fixes in transcode's import_v4l
module - IT'S NOT GV4L BUG!

%prep
%setup -q -n %name-%version
#[-f Makefile.dist] && make -f Makefile.dist

%build
#automake
#autoconf
./configure \
	--prefix=%_prefix \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#icons
mkdir %buildroot%_iconsdir
cp %buildroot%_datadir/pixmaps/%name/%name.png %buildroot%_iconsdir/%name.png

#create menu
(cd $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="Gv4l Tools" \
longtitle="Gv4l is a gui frontend for the v4l functions of transcode" \
needs="x11" \
icon="%name.png" \
section="Multimedia/Video" 
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files 
%doc COPYING NEWS README INSTALL ChangeLog
%dir %_datadir/pixmaps/%name
%_datadir/pixmaps/%name/*
%_bindir/*
%_menudir/*
%_iconsdir/*

%changelog
* Tue Nov 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 2:2.0.9-alt2
- New menu

* Sat Nov 16 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 2.0.9-alt1
- 2.0.9

- specfile cleanup
